﻿package org.shokai.net.xmlsocket.command{
	public class Command {
		public var name:String;
		public var value:String;
		public var from:String; // 未実装
		public var to:String; // あとで
		public function Command(){
			this.name = "";
			this.value = "";
			this.from = "";
			this.to = "";
		}
		
		public function toString():String{
			return "name:"+name+", value:"+value+", from:"+from+", to:"+to;
		}
		
		public function toXMLObject():XML{
			var xml:XML = 
			<command name={name} value={value} from={from} to={to} />;
			return xml;
		}
		
		public function toXMLString():String{
			return this.toXMLObject().toXMLString();
		}
		
		public function parseXML(xml:XML):void{
			this.name = xml.@name;
			this.value = xml.@value;
			this.from = xml.@from;
			this.to = xml.@to;
		}
	}
}